import { ComponentFixture, TestBed } from '@angular/core/testing';

import { BillingHistoryOverviewComponent } from './billing-history-overview.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSelectModule } from '@angular/material/select';
import { MatFormFieldModule } from '@angular/material/form-field';

describe('BillingHistoryOverviewComponent', () => {
  let component: BillingHistoryOverviewComponent;
  let fixture: ComponentFixture<BillingHistoryOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [BillingHistoryOverviewComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, ReactiveFormsModule, MatSelectModule, MatFormFieldModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(BillingHistoryOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
